Subject: Re: wireless: recap of current issues (stack)

From: Simon Kelley <[email-masked]>
Date: Sat, 14 Jan 2006 10:46:29 +0000

Chase Venters wrote:

> As an aside to this whole thing, I know we're talking about *kernel* wireless 
> but it's worthless to most people without good userland support as well. 
> Anyone have any thoughts and feelings on what things look like on the 
> desktop? I think if we work closely with some desktop people, we can shepard 
> in some wonderful new desktop support on top of the new netlink API.
> 

An obvious place to start is the NetworkManager project. They should be 
asked the obvious "what do you need" and "does this provide it" 
questions. Dan Williams has been active recently producing small kernel 
patches which make the kernel side stuff work better with NM, so he 
might be a good contact to start with.

Cheers,

Simon.